import { defineStore } from 'pinia';
import { ref } from 'vue';
import type { Activity } from '@/types/activity';

export const useActivityStore = defineStore('activity', () => {
    const currentActivity = ref<Activity | null>(null);

    const setActivity = (activity: Activity) => {
        currentActivity.value = activity;
    };

    return {
        currentActivity,
        setActivity,
    };
});
